Bug 492575

Summary: [KMS] wrong default resolution with KMS enabled
Product: [Fedora] Fedora Reporter: Julian Batliner <jbatliner>
Component: xorg-x11-drv-nouveauAssignee: Ben Skeggs <bskeggs>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 11CC: airlied, ajax, awilliam, bskeggs, mcepl
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-28 07:35:02 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Description Flags
Xorg.0.log during a normal boot
Xorg.0.log after boot with nouveau.modeset=1
xorg.conf with modedebug enabled
Xorg.0.log after restarting X using proposed xorg.conf
Xorg.0.log after a normal boot with f12beta live cd none

Description Julian Batliner 2009-03-27 10:29:43 EDT
Description of problem:
when I try to boot from the nouveau-test live-cd and append nouveau.modeset=1 to the grub line, my screen goes blank and says: Input not supported (I have a 24" wide screen).

Version-Release number of selected component (if applicable):
the one on the live cd (http://jlaska.fedorapeople.org/live/livecd-fedora-testday-nouveau-20090325-x86_64.iso)

How reproducible:

Steps to Reproduce:
1. put the live cd in the dvd rom drive
2. reboot
3. on boot screen, press any key then tab to edit line
4. append nouveau.modeset=1 to grub line
5. press enter
Actual results:
i can see:
loading vmlinuz0................
loading initrd0.img............. ready
then the screen goes blank, telling me "Input not supported".

Expected results:
plymouth starts and the system boots

Additional info:
Comment 1 Adam Williamson 2009-03-27 17:16:06 EDT
hardware is http://www.smolts.org/client/show/pub_0b57b265-f2d3-48e8-a9ef-66ea39d7ff63 , a 9800 GTX +.

Can you perhaps attach the /var/log/Xorg.0.log from it running normally without KMS? Thanks.

Fedora Bugzappers volunteer triage team
Comment 2 Julian Batliner 2009-03-27 21:52:20 EDT
Created attachment 337087 [details]
Xorg.0.log during a normal boot
Comment 3 Julian Batliner 2009-03-27 21:52:33 EDT
sorry I didn't mention my hardware...
I don't know if this is related, but I seem to have a kernel failure while booting.
Comment 4 Ben Skeggs 2009-03-31 01:55:48 EDT
Do you have any information on the kernel failure you see?  I'm not entirely certain how your card's even working with non-kernel modesetting based on some of the messages I seen logged by the 2D driver :)
Comment 5 Julian Batliner 2009-03-31 15:45:47 EDT
here the stack trace of the kernel failure:

Kernel failure message 1:
------------[ cut here ]------------
WARNING: at lib/dma-debug.c:461 check_unmap+0xd4/0x3dd() (Not tainted)
Hardware name: System Product Name
forcedeth 0000:00:11.0: DMA-API: device driver tries to free DMA memory it has not allocated [device address=0x000000012fc998da] [size=90 bytes]
Modules linked in: bridge stp llc bnep sco l2cap bluetooth sunrpc ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 p4_clockmod speedstep_lib freq_table dm_multipath uinput snd_hda_codec_analog snd_hda_intel snd_hda_codec snd_hwdep snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd soundcore snd_page_alloc i2c_nforce2 forcedeth pcspkr serio_raw asus_atk0110 hwmon ext4 jbd2 crc16 squashfs pata_acpi firewire_ohci firewire_core crc_itu_t nouveau ata_generic sata_nv pata_amd drm i2c_core [last unloaded: freq_table]
Pid: 0, comm: swapper Not tainted 2.6.29-0.279.rc8.git6.fc11.x86_64 #1
Call Trace:
<IRQ>  [<ffffffff8104d0db>] warn_slowpath+0xbc/0xf0
[<ffffffff81397dc8>] ? _spin_lock_irqsave+0x7d/0x8b
[<ffffffff811a7ea9>] ? get_hash_bucket+0x28/0x34
[<ffffffff811a684d>] ? swiotlb_virt_to_bus+0x1f/0x23
[<ffffffff811a8574>] check_unmap+0xd4/0x3dd
[<ffffffff811a89ca>] debug_dma_unmap_page+0x50/0x52
[<ffffffffa0154855>] T.796+0x4b/0x54 [forcedeth]
[<ffffffffa0154cf8>] nv_tx_done_optimized+0x49/0x1d5 [forcedeth]
[<ffffffffa0155227>] nv_nic_irq_optimized+0xba/0x280 [forcedeth]
[<ffffffff81098dfb>] handle_IRQ_event+0x27/0x63
[<ffffffff8109a729>] handle_edge_irq+0xe0/0x129
[<ffffffff81013c04>] do_IRQ+0xd9/0x151
[<ffffffff81011e93>] ret_from_intr+0x0/0x2e
<EOI>  [<ffffffff8106faf2>] ? trace_hardirqs_off+0xd/0xf
[<ffffffff81017cf6>] ? mwait_idle+0xa2/0xcb
[<ffffffff81017ced>] ? mwait_idle+0x99/0xcb
[<ffffffff8139aeb0>] ? atomic_notifier_call_chain+0xf/0x11
[<ffffffff8101025d>] ? enter_idle+0x27/0x29
[<ffffffff810102c7>] ? cpu_idle+0x68/0xb3
[<ffffffff81382c07>] ? rest_init+0x6b/0x6d
---[ end trace 1c5d93eb43b21a09 ]---

so does that mean my card isn't officially supported?
Comment 6 Ben Skeggs 2009-03-31 18:33:22 EDT
Ah, that message isn't from nouveau, that's from forcedeth (NVIDIA ethernet driver).  You may want to file a bug report for that too :)

Your problem is unrelated, I have an idea what's going on, there's a couple of similar reports.  I'll update the bug once there's a package available for you to test!
Comment 7 Ben Skeggs 2009-04-01 03:51:58 EDT
Me again!  kernel- is probably worth a try :)
Comment 8 Julian Batliner 2009-04-01 05:51:35 EDT
well, I was using the live cd, so I would have to install f11 first. I'll have to see if I have some time to do that.
sorry for asking again, but is my chipset not supported by the nouveau driver?
In the Xorg.0.log it says only cards up to gf8 are supported.
Comment 9 Adam Williamson 2009-04-01 17:14:16 EDT
julian: we tend to build a new live CD image for a test day each week, so you may well be able to grab the one for next week's test day and test with that, it should have the newer kernel ben wants you to test with.
Comment 10 Julian Batliner 2009-04-10 19:58:31 EDT
where can I get the new build of the test cd?
Comment 11 Adam Williamson 2009-04-14 13:56:22 EDT
There was one built for today's Test Day, you should be able to use that:


Fedora Bugzappers volunteer triage team
Comment 12 Adam Williamson 2009-04-17 18:13:51 EDT
ping? anything?

Fedora Bugzappers volunteer triage team
Comment 13 Julian Batliner 2009-04-18 06:32:05 EDT
sorry for the delay...
I just tested the live cd from https://fedoraproject.org/wiki/Test_Day:AnacondaStorageRewrite_2009-04-14

plymouth now works fine, but X doesn't start with the correct resolution for my display, which works fine during a normal (without modesetting) startup.
I forgot to save to Xorg.0.log, I will provide it as soon as possible.
Comment 14 Julian Batliner 2009-04-18 21:06:45 EDT
Created attachment 340195 [details]
Xorg.0.log after boot with nouveau.modeset=1
Comment 15 Adam Williamson 2009-04-20 16:50:36 EDT
Just to confirm, what is the correct resolution, and what resolution do you get with KMS? Thanks.
Comment 16 Julian Batliner 2009-04-20 18:50:07 EDT
The correct resolution should be 1920x1200.
I think the resolution I got was 1024x768, at least that's what I could find in System > Administration > Display.
Comment 17 Ben Skeggs 2009-05-04 01:05:42 EDT
Created attachment 342272 [details]
xorg.conf with modedebug enabled

Can you give the attached xorg.conf a try, and attach the resulting /var/log/Xorg.0.log file please?
Comment 18 Julian Batliner 2009-05-05 11:58:34 EDT
Created attachment 342483 [details]
Xorg.0.log after restarting X using proposed xorg.conf
Comment 19 Julian Batliner 2009-05-05 12:02:33 EDT
I don't know if what I did is any use, because I use the Live CD...
So I booted from the Live CD with KMS enabled. Logged in. Copied the proposed xorg.conf to /etc/X11. Logged out. Logged back in. Resolution still not correct.
Comment 20 Bug Zapper 2009-06-09 08:44:19 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
Comment 21 Matěj Cepl 2009-11-05 13:23:53 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 22 Julian Batliner 2009-11-11 07:35:29 EST
Ok, I've had some time to download and test the new live cd.
Plymouth has now the right default resolution (1920x1200), but as soon as X starts, it goes back to 1440x900, according to system-config-display.


I will also attach a new Xorg.0.log.
Comment 23 Julian Batliner 2009-11-11 07:37:02 EST
Created attachment 369014 [details]
Xorg.0.log after a normal boot with f12beta live cd
Comment 24 Bug Zapper 2010-04-27 09:20:55 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 25 Bug Zapper 2010-06-28 07:35:02 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.